SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

CREATE TABLE IF NOT EXISTS `agent_location` (
`id` int(10) NOT NULL,
  `gid` int(10) NOT NULL,
  `name` varchar(250) NOT NULL,
  `host` varchar(250) NOT NULL,
  `port` int(10) NOT NULL,
  `protocol` varchar(50) NOT NULL,
  `path` varchar(250) NOT NULL,
  `user` varchar(250) NOT NULL,
  `password` varchar(250) NOT NULL,
  `ping` tinyint(1) NOT NULL,
  `create_date` datetime NOT NULL,
  `active` tinyint(1) NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;


INSERT INTO `agent_location` (`id`, `gid`, `name`, `host`, `port`, `protocol`, `path`, `user`, `password`, `ping`, `create_date`, `active`) VALUES
(1, 10, 'li agent POC', '10.255.2.11', 8090, 'http', '/api/interception', 'user', '12345', 1, '2015-11-23 14:58:58', 1);

-- --------------------------------------------------------

--
-- Table structure for table `df_location`
--

CREATE TABLE IF NOT EXISTS `df_location` (
  `dfid` int(10) NOT NULL,
  `name` varchar(250) NOT NULL,
  `protocol` varchar(50) NOT NULL,
  `ip` varchar(250) NOT NULL,
  `port` int(10) NOT NULL,
  `user` varchar(150) NOT NULL,
  `password` varchar(150) NOT NULL,
  `enable` tinyint(1) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='location of DF';


CREATE TABLE IF NOT EXISTS `li_records` (
`id` int(10) NOT NULL,
  `liid` int(10) NOT NULL,
  `liCorrelation` int(10) NOT NULL,
  `targetType` varchar(100) NOT NULL,
  `targetNumber` varchar(250) NOT NULL,
  `df2id` int(10) NOT NULL,
  `df3id` int(10) NOT NULL,
  `enable` tinyint(1) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='LIMA';

-- --------------------------------------------------------

--
-- Table structure for table `voip_intercept`
--

CREATE TABLE IF NOT EXISTS `voip_intercept` (
`id` int(11) unsigned NOT NULL,
  `gid` int(10) NOT NULL DEFAULT '10',
  `aid` varchar(100) NOT NULL DEFAULT '',
  `LIID` int(11) unsigned DEFAULT NULL,
  `uuid` char(36) NOT NULL,
  `number` varchar(63) DEFAULT NULL,
  `sip_username` varchar(255) NOT NULL,
  `sip_domain` varchar(255) NOT NULL,
  `search_callee` varchar(200) NOT NULL,
  `search_caller` varchar(200) NOT NULL,
  `search_ip` varchar(201) NOT NULL DEFAULT '',
  `cc_required` tinyint(1) NOT NULL DEFAULT '0',
  `delivery_host` varchar(15) DEFAULT NULL,
  `delivery_port` int(8) unsigned DEFAULT NULL,
  `delivery_user` varchar(150) DEFAULT NULL,
  `delivery_pass` varchar(150) DEFAULT NULL,
  `cc_delivery_host` varchar(64) DEFAULT NULL,
  `cc_delivery_port` int(8) DEFAULT NULL,
  `modify_timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `create_timestamp` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `start_time` timestamp NOT NULL DEFAULT '2015-06-06 22:00:00',
  `stop_time` timestamp NOT NULL DEFAULT '2032-12-30 22:00:00',
  `description` varchar(250) NOT NULL DEFAULT '',
  `deleted` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB AUTO_INCREMENT=64 DEFAULT CHARSET=utf8;

-- Indexes for table `agent_location`
--
ALTER TABLE `agent_location` ADD PRIMARY KEY (`id`);

--
-- Indexes for table `df_location`
--
ALTER TABLE `df_location` ADD UNIQUE KEY `dfid` (`dfid`);

--
-- Indexes for table `li_records`
--
ALTER TABLE `li_records` ADD PRIMARY KEY (`id`);

--
-- Indexes for table `voip_intercept`
--
ALTER TABLE `voip_intercept` ADD PRIMARY KEY (`id`,`aid`), ADD KEY `resellerid_idx` (`aid`), ADD KEY `number_idx` (`number`), ADD KEY `deleted_idx` (`deleted`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `agent_location`
--
ALTER TABLE `agent_location` MODIFY `id` int(10) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT for table `li_records`
--
ALTER TABLE `li_records` MODIFY `id` int(10) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `voip_intercept`
--
ALTER TABLE `voip_intercept` MODIFY `id` int(11) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=0;


CREATE TABLE `agent_location_session` (
  `uuid` varchar(36) NOT NULL,
  `gid` int(10) NOT NULL,
  `host` varchar(250) NOT NULL,
  `port` int(10) NOT NULL,
  `protocol` varchar(50) NOT NULL,
  `path` varchar(250) NOT NULL,
  `node` varchar(100) DEFAULT NULL,
  `user` varchar(250) DEFAULT NULL,
  `password` varchar(250) DEFAULT NULL,
  `type` varchar(200) NOT NULL DEFAULT '',
  `create_date` datetime NOT NULL,
  `expire_date` datetime NOT NULL,
  `extra_info` varchar(250) DEFAULT NULL,
  `active` tinyint(1) NOT NULL,
  PRIMARY KEY (`uuid`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

