<?php


function getVar($name, $default, $request, $type) {        

        $val = isset($request[$name]) ? $request[$name] : $default;                     

        switch(strtolower($type))
        {
                case "int":
                    //$val = intval($val);
                    $val = $val + 0;
                    break;

                case "long":
                    $val = $val + 0;
                    break;                    

                case "float":
                    $val = floatval($val);
                    break;                    

                case "bool":
                    $val = !! $val;
                    break;

                case "string":
                    if(get_magic_quotes_gpc()) $val = stripslashes($val);
                    $val = strval($val);                                     
                    break;
                    
                case "datetime":
                    $val = gmdate("Y-m-d H:i:s", strtotime($val));                    
                    break;                    

                case "date":
                    $val = gmdate("Y-m-d", strtotime($val));                    
                    break;                    

                case "time":
                    $val = gmdate("H:i:s", strtotime($val));                    
                    break;                                        

                case "milliseconds":
                    $val = gmdate("Y-m-d H:i:s", intval($val)/1000);                    
                    break;              
                default:
                    break;
        }
                  
        return $val;
}

function generateWhere ($search, $and_or, $db, $b2b, $skip_keys = array()) {
           $s = 0;
           $mydb = $db;
           $callwhere = array();

           // Prepare WHERE PARAMS
           foreach($search as $key=>$value) {
                   if(in_array($key, $skip_keys)) continue;                   

                   // SKIP EMPTY VALUES
                   if($value == NULL || $value == "" || ($value+0) == -1) continue;

                   $logic = " OR ";
                   
                   if(preg_match("/^\^/", $value)) {
                       $eqlike = " REGEXP ";
                   }
                   else {
                       $eqlike = preg_match("/%/", $value) ? " like " : " = ";
                   }

                   if(preg_match("/^!/", $value)) {
                       $value =  preg_replace("/^!/", "", $value);
                       $eqlike = "!=";
                       $logic = " AND ";
                   }

                   /* Array search */
                   if(preg_match("/;/", $value)) {
                      $dda = array();
                      foreach(preg_split("/;/", $value) as $k=>$v) {
                           $dda[] = "".$key."".$eqlike.$mydb->quote($v);
                           if($key == "callid" && $b2b && BLEGCID == "b2b" ) {
                                $dda[] = "".$key."".$eqlike.$mydb->quote($v.BLEGTAIL);
                                $logic = " OR ";
                                
                           }    
                           else if($key == "callid" && $b2b && BLEGCID == "xcid" ) {
                                $dda[] = "callid_aleg".$eqlike.$mydb->quote($v);
                                $logic = " OR ";
                           }                    
                      }
                      //$callwhere[] = "( ". ($eqlike == "!=") ? implode(" AND ",$dda) : implode(" OR ",$dda)." )";                                                      
                      $callwhere[] = "( ". implode($logic, $dda) ." )";                                                      
                   }
                   else {
                       $mkey = "".$key."";                                              
                       if($key == "callid" && $b2b && BLEGCID == "b2b" ) {
                           if(preg_match('/' . preg_quote(BLEGTAIL, '/') . '$/', $value))
                           {
                               $newvalue = substr($value, 0, (strlen ($value)) - (strlen(BLEGTAIL)));
                               $callwhere[] = "( ". $mkey.$eqlike.$mydb->quote($value)." OR ". $mkey.$eqlike.$mydb->quote($newvalue).")";
                           }
                           else {
                                $callwhere[] = "( ". $mkey.$eqlike.$mydb->quote($value)." OR ". $mkey.$eqlike.$mydb->quote($value.BLEGTAIL).")";
                           }
                       }                                              
                       else if($key == "callid" && $b2b && (BLEGCID == "xcid" || BLEGCID == "x-cid") ) {
                           $callwhere[] = "( ". $mkey.$eqlike.$mydb->quote($value)." OR callid_aleg ".$eqlike.$mydb->quote($value).")";
                       }                       
                       else {                       
                           $callwhere[] = $mkey.$eqlike.$mydb->quote($value);
                       }                                              
                   }

                   $s = 1;
           }
 
           return $callwhere;
}

?>
