<?php

namespace RestApi;

class Interception {
    

    protected $_instance = array();
            
    function __construct()
    {
            if(SYSLOG_ENABLE == 1) openlog("x1-lima", LOG_PID | LOG_PERROR, LOG_LOCAL0);
    }                                  


    /**
    * Checks if a user is logged in.
    *
    * @return boolean
    */

    public function createAgent($raw){
        
        $db = $this->getContainer('db');
        $db->select_db(DB_LIMA);
        $db->dbconnect();        

        /* delete the old one */
	$query = "DELETE FROM agent_location_session WHERE expire_date < NOW()";
	$rows = $db->loadObjectArray($query);
	
	$query = "INSERT INTO agent_location_session "
	         ." (uuid, gid, host, port, protocol, path, type, node, user, password,"
		 ." extra_info, create_date, active, expire_date)"
		 ." VALUES('?','?','?','?','?','?','?','?','?','?',"
		 ." '?', NOW(), 1, DATE_ADD(NOW(), INTERVAL ? SECOND))"
		 ." ON DUPLICATE KEY UPDATE expire_date=DATE_ADD(NOW(), INTERVAL ?  SECOND),"
		 ." gid='?',host='?',port='?',protocol='?',path='?',node='?',user='?',password='?'";
        
        $raw['ttl']+=30;
                                 
        $query  = $db->makeQuery($query, $raw['uuid'], $raw['gid'], $raw['host'], $raw['port'], $raw['protocol'], $raw['path'],
	                        $raw['type'], $raw['node'], $raw['user'], $raw['password'], $raw['extra_info'], $raw['ttl'], $raw['ttl'],
				$raw['gid'], $raw['host'], $raw['port'], $raw['protocol'], $raw['path'],$raw['node'], $raw['user'], $raw['password']
				);
				
        syslog(LOG_WARNING, "Subscribe: ".$query); 
        $rows = $db->loadObjectArray($query);        
        
        $query = "SELECT * FROM agent_location_session WHERE uuid='".$raw['uuid']."' AND expire_date > NOW()";        
        $rows = $db->loadObjectArray($query);        
        return $rows;
        
        return $this->getInterception($raw['uuid']);
    }

    public function getInterception($id){

        $answer = array();    
        $db = $this->getContainer('db');
        $db->select_db(DB_LIMA);
        $db->dbconnect();        

        $query = "SELECT *,UNIX_TIMESTAMP(start_time) as start_time,UNIX_TIMESTAMP(stop_time) as stop_time, "
                 ." UNIX_TIMESTAMP(modify_timestamp) as modify_timestamp, UNIX_TIMESTAMP(create_timestamp) as create_timestamp"
                 ." FROM voip_intercept WHERE uuid='".$id."' AND stop_time > NOW() and deleted != 1";
        $rows = $db->loadObjectArray($query);
        return $rows;
    }

    public function getInterceptions(){

        $answers = array();        
        $db = $this->getContainer('db');
        $db->select_db(DB_LIMA);
        $db->dbconnect();        
        $query = "SELECT *,UNIX_TIMESTAMP(start_time) as start_time,UNIX_TIMESTAMP(stop_time) as stop_time, "
                 ." UNIX_TIMESTAMP(modify_timestamp) as modify_timestamp, UNIX_TIMESTAMP(create_timestamp) as create_timestamp"
                 ." FROM voip_intercept WHERE stop_time > NOW() and deleted != 1";
        $rows = $db->loadObjectArray($query);
        return $rows;
    }
    
    public function getPing(){
        
        $success = "success";        
        $response = array('success' => $success);
        return $response;            
    }

    public function getContainer($name)
    {
	if (!$this->_instance || !isset($this->_instance[$name]) || $this->_instance[$name] === null) {
            //$config = \Config::factory('configs/config.ini', APPLICATION_ENV, 'auth');
             if($name == "db") $containerClass = sprintf("Database\\".DATABASE_CONNECTOR);
             else if($name == "layer") $containerClass = sprintf("Database\\Layer\\".DATABASE_DRIVER);
             
            $this->_instance[$name] = new $containerClass();
        }

        return $this->_instance[$name];
    }
    
    public function gen_uuid() {
 	   return sprintf( '%04x%04x-%04x-%04x-%04x-%04x%04x%04x',
	        // 32 bits for "time_low"
        	mt_rand( 0, 0xffff ), mt_rand( 0, 0xffff ),
	        // 16 bits for "time_mid"
        	mt_rand( 0, 0xffff ),
	        // 16 bits for "time_hi_and_version",
	        // four most significant bits holds version number 4
	        mt_rand( 0, 0x0fff ) | 0x4000,	
	        // 16 bits, 8 bits for "clk_seq_hi_res",
	        // 8 bits for "clk_seq_low",
	        // two most significant bits holds zero and one for variant DCE1.1
	        mt_rand( 0, 0x3fff ) | 0x8000,
	        // 48 bits for "node"
	        mt_rand( 0, 0xffff ), mt_rand( 0, 0xffff ), mt_rand( 0, 0xffff )
	    );
     }
}

?>