<?php

define('ROOT', realpath(dirname(__FILE__) . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR));
define('_HOMEREXEC', "1");

require_once("configuration.php");

date_default_timezone_set(LIMA_TIMEZONE);
ini_set('date.timezone', LIMA_TIMEZONE);

/* if defined session_name, set this */
if(defined('SESSION_NAME')) session_name(SESSION_NAME);

if(defined('SESSION_TIME')) {
    ini_set('session.gc_maxlifetime', SESSION_TIME);
    session_set_cookie_params(SESSION_TIME);
}

if(!defined('SHARE_MESSAGES')) define('SHARE_MESSAGES', 0);

session_start();

include "autoload.php";

use RestService\Server;

define('WEBROOT', preg_replace('/v2(.*)$/', '', $_SERVER["REQUEST_URI"]));

Server::create(WEBROOT.'v2', 'RestApi\Interception') //base entry points `/admin`

    ->setDebugMode(false) //prints the debug trace, line number and file if a exception has been thrown.
    ->addGetRoute('interception/list', 'getInterceptions') // => /v2/interception/list
    ->addGetRoute('ping', 'getPing') // => /x1/interception
    ->addGetRoute('interception/([0-9.A-Za-z]+)', 'getInterception') // => /v2/interception/id
    ->addPostRoute('agent/subscribe', 'createAgent') // => /v2/agent/subscribe
->run();

?>
